Doomsday Engine - Bug #491

Tiny blood splat editing bug
2007-11-15 23:35 - vermil

Status: Closed Start date: 2007-11-15
Priority: Normal % Done: 100%
Assignee:

Category:

Target version:

Description
By default the blood splat's spawn state is "Blood1".

But if the attack does more than a certain ammount of damage, the spawn state is changed to "Blood2" or "Blood3" (according to the
src).

It seems when Dday goes to spawn blood splats that have a spawn state of Blood2 or 3 it ignores what ever is in the objects.ded for
those states (i.e if you've changed the graphic used for these states, it will still display the original blood splat sprite).

Labels: Definitions

History

#1 - 2008-01-04 20:24 - danij

Logged In: YES
user_id=849456
Originator: NO

This is due to the fact that the state chosen is determined by a (random) offset relative to the numeric identifier of the original Blood1 state. How to fix
this without breaking DeHackED support?

#2 - 2009-06-10 09:23 - vermil

I'll also throw in that the Doom players punch and chainsaw actions are similarly affected by this behaviour, except for puffs, naturally.

#3 - 2010-04-18 07:50 - danij
Duplicate of bug #1498037 https://sourceforge.net/tracker/?func=detail&aid=14980378&group_id=74815&atid=542099
